
#ifndef b4r_main_h
#define b4r_main_h

class b4r_main {
public:

static void initializeProcessGlobals();
static void _appstart();
static void _pinbutton_statechanged(bool _state);
static void _process_globals();
static B4R::Serial* _serial1;
static B4R::Pin* _pinbutton;
static B4R::Pin* _pinpot;
static B4R::Pin* _pinledblue;
static bool _reading;
static B4R::Timer* _timer1;
static ULong _bouncetime;
static ULong _bouncedelay;
static void _timer1_tick();
};

#endif